body {
    background-color: #dddddd;
}

.controls {
    margin: 5px 0;
    position: sticky;
    background-color: #ddd;
    top: 0;
    padding: 5px 0;
    display: flex;
}

.inputlabel {
    margin-left: auto;
}

.inputlabel > select {
    max-width: 400px;
}

.inputlabel > label {
    margin-left: 20px;
}

.inputfile {
    opacity: 0;
    overflow: hidden;
    z-index: -1;
}

.decrypt {
    display: inline;
}

.filtertext {
    margin-left: 40px;
    display: inline;
}

.togglewarning {
    margin-left: 40px;
    display: inline;
}

.inputfile {
    width: 100%;
    height: 100%;
}

div.labelstyle {
    width: 400px;
    height: 30px;
    margin-left: auto;
    margin-right: auto;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: 24px;
    color: white;
}

.inputfile:focus + label {
    outline: 4px dotted #000;
    outline: -webkit-focus-ring-color auto 5px;
}

.box {
    background-color: #545456; /*DEFAULT_SELECTED_IMAGE_BACKGROUND*/
    height: 100px;
    width: 100%;
    position: relative;
}

.brd {
    border-style: solid;
    border-width: 2rem;
    border-color: #545456; /*DEFAULT_SELECTED_IMAGE_BACKGROUND*/
    background-color: #292929; /* DEFAULT_CONTROL_COLOR*/
    text-align: left;
    word-break: break-all;
    padding: 1rem; /* text padding */
    line-height: 1.2rem;
    visibility: hidden;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    word-wrap: break-word;
    color: white; /*default color*/
}

.logitem {
    margin: 0;
    padding: 0;
}

.debug {
    color: #999999; /*DEFAULT_LABEL_ACTIVE_FOREGROUND*/
    visibility: hidden;
    display: none;
}

.info {
    color: #ffffff; /*DEFAULT_WHITE_COLOR "#ffffff*/
    visibility: hidden;
    display: none;
}

.warning {
    color: #f49c12; /*DEFAULT_WHITE_COLOR "#ffffff*/
}

.critical {
    color: #e81313; /*DEFAULT_DESTRUCTIVE_COLOR*/
}

.fatal {
    color: #e81313; /*DEFAULT_DESTRUCTIVE_COLOR*/
}

.filteredout {
    visibility: visible;
    display: block;
}
